package com.yztiot.streetlamp;

public class LightMode {
    private String modeName;
    private int colorResId;
    private int color1ResId;
    private int color2ResId;
    private int color3ResId;
    private int index;

    public LightMode(String modeName) {
        this.modeName = modeName;
        this.colorResId = 0;
    }

    public LightMode(String modeName, int colorResId) {
        this.modeName = modeName;
        this.colorResId = colorResId;
    }

    public LightMode(String modeName, int color1ResId, int color2ResId) {
        this.modeName = modeName;
        this.color1ResId = color1ResId;
        this.color2ResId = color2ResId;
    }

    public LightMode(String modeName, int color1ResId, int color2ResId, int color3ResId) {
        this.modeName = modeName;
        this.color1ResId = color1ResId;
        this.color2ResId = color2ResId;
        this.color3ResId = color3ResId;
    }

    public String getModeName() {
        return modeName;
    }

    public int getColorResId() {
        return colorResId;
    }

    public int getColor1ResId() {
        return color1ResId;
    }

    public int getColor2ResId() {
        return color2ResId;
    }

    public int getColor3ResId() {
        return color3ResId;
    }
}